Bug 25537 - Page reload at branchtransfers.pl loses destination branch
Summary: Page reload at branchtransfers.pl loses destination branch
Status: Pushed to oldoldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Staff Client (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Kyle M Hall
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 25682
  Show dependency treegraph
 
Reported: 2020-05-18 20:49 UTC by Andrew Fuerste-Henry
Modified: 2020-07-03 05:52 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.11.00, 20.05.01, 19.11.07, 19.05.13


Attachments
Bug 25537: Page reload at branchtransfers.pl loses destination branch (2.05 KB, patch)
2020-05-21 17:55 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 25537: Page reload at branchtransfers.pl loses destination branch (2.10 KB, patch)
2020-06-01 15:25 UTC, Andrew Fuerste-Henry
Details | Diff | Splinter Review
Bug 25537: Page reload at branchtransfers.pl loses destination branch (2.16 KB, patch)
2020-06-08 10:37 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Fuerste-Henry 2020-05-18 20:49:27 UTC
At branchtransfers.pl, one selects a destination branch and scans in any number of items to generate transfers to that branch. However, anything that makes the page reload causes your branch selection to be lost, reverting you back to whichever branch comes first alphabetically.
To test:
- Have an item waiting for hold pickup at Branch A
- go to Circulation > Transfers, attempt to transfer your waiting item to branch C
- Get error about the hold
- get routed back to Transfers, but branch selector now shows Branch B

This is an invitation to error when one has a stack of books to send all to the same branch. Could that error handling get moved into a modal or something that won't reload the page?
Comment 1 Kyle M Hall 2020-05-21 17:55:37 UTC Comment hidden (obsolete)
Comment 2 Andrew Fuerste-Henry 2020-06-01 15:25:28 UTC
Created attachment 105476 [details] [review]
Bug 25537: Page reload at branchtransfers.pl loses destination branch

At branchtransfers.pl, one selects a destination branch and scans in any
number of items to generate transfers to that branch. However, anything
that makes the page reload causes your branch selection to be lost,
reverting you back to whichever branch comes first alphabetically.

This is an invitation to error when one has a stack of books to
send all to the same branch. Could that error handling get moved
into a modal or something that won't reload the page?

Test Plan:
1) Place a hold on an item and set it to waiting
2) Initiate a branch transfer from branchtransfers.pl for any branch but
   the first in the pulldown branch selector
3) Choose to cancel the hold and transfer
4) Note the pulldown reverts to the first option
5) Apply this patch
6) Repeat steps 1-3
7) Note the pulldown retains your preveiously selected branch!

Signed-off-by: Andrew Fuerste-Henry <andrew@bywatersolutions.com>
Comment 3 Martin Renvoize 2020-06-08 10:37:15 UTC
Created attachment 105632 [details] [review]
Bug 25537: Page reload at branchtransfers.pl loses destination branch

At branchtransfers.pl, one selects a destination branch and scans in any
number of items to generate transfers to that branch. However, anything
that makes the page reload causes your branch selection to be lost,
reverting you back to whichever branch comes first alphabetically.

This is an invitation to error when one has a stack of books to
send all to the same branch. Could that error handling get moved
into a modal or something that won't reload the page?

Test Plan:
1) Place a hold on an item and set it to waiting
2) Initiate a branch transfer from branchtransfers.pl for any branch but
   the first in the pulldown branch selector
3) Choose to cancel the hold and transfer
4) Note the pulldown reverts to the first option
5) Apply this patch
6) Repeat steps 1-3
7) Note the pulldown retains your preveiously selected branch!

Signed-off-by: Andrew Fuerste-Henry <andrew@bywatersolutions.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 4 Martin Renvoize 2020-06-08 10:37:43 UTC
Simple and clear patch, no missing filters etc.. Passing QA
Comment 5 Jonathan Druart 2020-06-15 10:00:07 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 6 Lucas Gass 2020-06-17 23:11:25 UTC
backported to 20.05.x. for 20.05.01
Comment 7 Aleisha Amohia 2020-06-22 04:20:17 UTC
backported to 19.11.x for 19.11.07
Comment 8 Victor Grousset/tuxayo 2020-07-03 05:52:58 UTC
Backported to 19.05.x branch for 19.05.13